Package ghidra.util.table

# Class MappedProgramLocationTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE>

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,DATA_SOURCE>
docking.widgets.table.MappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE,Program>
ghidra.util.table.MappedProgramLocationTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE>

All Implemented Interfaces:
  `DynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Program>`, `ProgramBasedDynamicTableColumn<ROW_TYPE,COLUMN_TYPE>`, `ProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>`

public class MappedProgramLocationTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE> extends MappedTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE,COLUMN_TYPE,Program> implements ProgramLocationTableColumn<ROW_TYPE,COLUMN_TYPE>

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.MappedTableColumn

  `mapper, tableColumn`

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MappedProgramLocationTableColumn(ProgramLocationTableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE> mapper, ProgramLocationTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE> tableColumn)`
  `protected`
  `MappedProgramLocationTableColumn(ProgramLocationTableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE> mapper, ProgramLocationTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE> tableColumn, String uniqueIdentier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProgramLocation`
  `getProgramLocation(ROW_TYPE rowObject, Settings settings, Program program, ServiceProvider serviceProvider)`
  Determines an appropriate program location associated with this field for the indicated row object.

  ### Methods inherited from class docking.widgets.table.MappedTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getHeaderRenderer, getMappedColumnClass, getMaxLines, getSettingsDefinitions, getSupportedRowType, getValue, toString`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getComparator, getUniqueIdentifier, hashCode`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.DynamicTableColumn

  `getColumnClass, getColumnDescription, getColumnDisplayName, getColumnName, getColumnPreferredWidth, getColumnRenderer, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, getValue`

- ## Constructor Details

  - ### MappedProgramLocationTableColumn

    protected MappedProgramLocationTableColumn(ProgramLocationTableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE> mapper, ProgramLocationTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE> tableColumn)

  - ### MappedProgramLocationTableColumn

    protected MappedProgramLocationTableColumn(ProgramLocationTableRowMapper<ROW_TYPE,EXPECTED_ROW_TYPE> mapper, ProgramLocationTableColumn<EXPECTED_ROW_TYPE,COLUMN_TYPE> tableColumn, String uniqueIdentier)

- ## Method Details

  - ### getProgramLocation

    public ProgramLocation getProgramLocation(ROW_TYPE rowObject, Settings settings, Program program, ServiceProvider serviceProvider)
    Description copied from interface: `ProgramLocationTableColumn`
    Determines an appropriate program location associated with this field for the indicated row object. The most probable use is for navigating from the field.
    Specified by:
      `getProgramLocation` in interface `ProgramLocationTableColumn<ROW_TYPE,EXPECTED_ROW_TYPE>`
    Parameters:
      `rowObject` - the object associated with the table row.
      `settings` - field settings
      `program` - the program associated with the table.
      `serviceProvider` - the plugin tool associated with the table.
    Returns:
      the address associated with the field.